Bug 1566451 - "Wait for Node Registration" task failed when enable openstack cloudprovider
Summary: "Wait for Node Registration" task failed when enable openstack cloudprovider
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.10.0
Assignee: Scott Dodson
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On: 1566455
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 10:51 UTC by Johnny Liu
Modified: 2018-04-20 08:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-20 08:36:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
installation log with inventory file embedded (945.94 KB, text/plain)
2018-04-12 10:51 UTC, Johnny Liu
no flags Details

Description Johnny Liu 2018-04-12 10:51:35 UTC
Created attachment 1420793 [details]
installation log with inventory file embedded

Description of problem:
See the following details.

Version-Release number of the following components:
openshift-ansible-playbooks-3.10.0-0.20.0.git.0.37bab0f.el7.noarch


How reproducible:
Always

Steps to Reproduce:
1. Trigger an installation on openstack with cloudprovider enabled.
2.
3.

Actual results:
TASK [openshift_manage_node : Wait for Node Registration] **********************
Thursday 12 April 2018  04:14:28 -0400 (0:00:00.437)       0:08:18.890 ******** 
FAILED - RETRYING: Wait for Node Registration (50 retries left).
<--snip-->
FAILED - RETRYING: Wait for Node Registration (1 retries left).
fatal: [host-8-248-3.host.centralci.eng.rdu2.redhat.com -> host-8-248-3.host.centralci.eng.rdu2.redhat.com]: FAILED! => {"attempts": 50, "changed": false, "results": {"cmd": "/usr/local/bin/oc get node host-172-16-120-10 -o json -n default", "results": [{}], "returncode": 0, "stderr": "Error from server (NotFound): nodes \"host-172-16-120-10\" not found\n", "stdout": ""}, "state": "list"}


Log onto the failed node, node is registered itself with "172.16.120.10", but not its hostname.
$ issh host-8-248-3.host.centralci.eng.rdu2.redhat.com
[root@host-172-16-120-10 ~]# oc get nodes
NAME            STATUS     ROLES     AGE       VERSION
172.16.120.10   NotReady   master    51m       v1.9.1+a0ce1bc657


Expected results:
Installation should be passed.

Additional info:
installation log with inventory file embedded will be uploaded as attachment.

Comment 1 Johnny Liu 2018-04-12 10:52:14 UTC
This is blocking testing on openstack with cloudprovider enabled.

Comment 2 Scott Dodson 2018-04-19 13:23:59 UTC
Can you test with the most recent changes, the version of the node here was pre-rebase and nothing would be expected to work there.

Comment 3 Johnny Liu 2018-04-20 08:36:20 UTC
Refer to https://bugzilla.redhat.com/show_bug.cgi?id=1566455#c2 to get the latest test result. Now the installation even can not reach the last failed task.

Let me close this bug, and track it in BZ#1566455


Note You need to log in before you can comment on or make changes to this bug.